USTAR(1V)

NAME
ustar - process tape archives

SYNOPSIS
/usr/5bin/ustar -c [ bfvw ] device block filename ...
/usr/5bin/ustar -r [ bvw ] device block [ filename... ]
/usr/5bin/ustar -t [ fv ] device
/usr/5bin/ustar -u [ bvw ] device block
/usr/5bin/ustar -x [ flmovw ] device [ filename... ]

AVAILABILITY

ustar is available with the System V software installation option. Refer to for information on how to install optional software.

DESCRIPTION

ustar reads and writes archive files which conform to the Archive/Interchange File Format specified in IEEE Std. 1003.1-1988.

If the files exist, their modes are not changed except as described above. The owner, group and modification time are restored if possible. If no filename argument is given, the entire contents of the archive is extracted. Note: if several files with the same name are in the archive, the last one will overwrite all earlier ones.

OPTIONS

-c  Create a new archive; writing begins at the beginning of the archive, instead of after the last file.

-r  Write names files to the end of the archive.

-t  List the names of all of the files in the archive.

-u  Add named files to the archive if they are not already there, or if they have been modified since last written into the archive. This implies the -r option.

-x  Extracts named files from the archive. If a named file matches a directory whose contents had been written onto the archive, that directory is recursively extracted. If a named file in the archive does not exist on the system, the file is create with the same mode as the one in the archive, except that the set-user-id and get-group-id modes are not set unless the user has appropriate privileges.

-b  Use the next argument on the command line as the blocking factor for tape records. The default is 1; the maximum is 20. This option should only be used with raw magnetic tape archives. Normally, the block size is determined automatically when reading tapes.

-f  Use the next argument on the command line as the name of the archive instead of the default, which is usually a tape drive. If `-' is specified as a filename ustar writes to the standard output or reads from the standard input, whichever is appropriate for the options given. Thus, ustar can be used as the head or tail of a pipeline.

-l  Report if ustar cannot resolve all of the links to the files being archived. If -l is not specified, no error messages are written to the standard output. This modifier is only valid with the -c, -r and -u options.

-m  Do not restore the modification times. The modification time of the file will be the time of extraction. This modifier is invalid with the -t option.

-o  Extracted files take on the user and group identifier of the user running the program rather than those on the archive. This modifier is only valid with the -x option.

-v  Verbose. Print the name of each file it processes, preceded by the option letter. With the -t option, -v gives more information about the archive entries than just the name.

-w  Print the action to be taken, followed by the name of the file, and then wait for the user's confirmation. If a word beginning with y is given, the action is performed. Any other input implies no and the action is not performed. This modifier is invalid with the -t option.

FILES
/dev/tty
    used to prompt the user for information when the -i or -y options are specified

SEE ALSO
cpio(1), dd(1), find(1), pax(1V), paxcpio(1V), cpio(5), tar(5)

AUTHOR

Mark H. Colburn
NAPS International
117 Mackubin Street, Suite 1
St. Paul, MN 55102

Sponsored by The USENIX Association for public distribution.